<div ng-if="list.length > 0">
    <h4>{{groupTitle}}</h4>
    <div class="row" ng-repeat="option in list">
        <div ng-switch on="option.type">
            <div ng-switch-when="checkboxPersisted|checkboxFree" ng-switch-when-separator="|">
                <div class="col-sm-8"><p class="option">{{option.key | translate}}</p></div>
                <div class="col-sm-4">
                    <label class="switch">
                        <input type="checkbox" ng-model="option.value" ui-indeterminate="option.intermediate" ng-change="onSwitch(option)"><i></i>
                    </label>
                </div>
            </div>
        </div>
    </div>
</div>